<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=utf-8" />
  <meta http-equiv="cache-control" content="no-cache" />
  <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT" />
  <meta http-equiv="pragma" content="no-cache" />
  <title>LiveConfig IFRAME API Example</title>
  <link rel="stylesheet" type="text/css" href="lc-api/lc-api.css"/>
  <script type="text/javascript" src="lc-api/lc-api.js"></script>
</head>
<body>
  <?php

    ini_set('display_errors', 'on');

    // disable WSDL caching for developing/testing/debugging
    ini_set("soap.wsdl_cache_enabled", "0");

    // load utility functions for IFRAME API
    require_once 'lc-api/lc-api.inc.php';

    // initialize API instance
    $LC = new LC(
            // full URL to the LiveConfig SOAP API:
            'https://liveconfig.example.org:8443/liveconfig/soap',
            'admin',          // LiveConfig user for SOAP API (usually 'admin')
            'SoAp-PaSsWoRd'   // SOAP API password
            );

    // check checksum
    if (! $LC->checkSession('ShlacmilpYuHiwel')) {
      die('<p class="error">Session check failed (' . htmlspecialchars($LC->getLastError()) . ')</p></body></html>');
    }

  ?>
  <h2>Hallo, <? print $LC->getUserName(); ?></h2>
  <p>Dieses Beispiel demonstriert die Verwendung der <a href="http://www.liveconfig.com/de/handbuch/api.iframe.html">IFRAME API</a> mit LiveConfig (verfügbar ab Version 1.5.1).</p>
  <h3>GUI-Elemente</h3>
  <table class="tabForm">
    <tr>
      <th>Eingabefeld:</th>
      <td><input type="text" name="test1" size="20" maxlength="30" value=""/></td>
    </tr>
  </table>
  <p><a href="#" onclick="return false;" class="button"><span class="ok">Test-Button</span></a></p>

</body>
</html>
